Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
while "emerge world": lower version for one package
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
hede
Apprentice
Apprentice


Joined: 07 Nov 2003
Posts: 160
Location: Siegen/Germany

PostPosted: Tue Jul 11, 2006 5:15 pm    Post subject: while "emerge world": lower version for one packag Reply with quote

xorg-x11 7.0 is stable now. but i cant use it (AFAIK) because i have an older NV15DDR nvidia card and i want to have 3D-support.
so i have to use the old 1.0.6629 binary driver (newer ones do not support geforce2 nonMX) which AFAIK do not build with xorg 7.

so i want to use xorg-x11 6.x

but an "emerge -uD world" wants to emerge xorg-x11-7.0-r1 (which by the way produces many "blocks")

i tried (naive act) "emerge -uD '<x11-base/xorg-x11-7' world" but that didn't work, of course.

my question:
is there a way to do a world update while freezing some packages to special versions?
for example a (imaginary) file "/etc/portage/package.version" wherein "<x11-base/xorg-x11-7" would cause xorg-x11 to only update to versions prior to xorg-x11-7.0
_________________
Der süsse Pinguin ist mir lieber als die kleinen weichen, die einem nur kaputte Fenster verkaufen
Back to top
View user's profile Send private message
ArsDangor
Guru
Guru


Joined: 20 May 2003
Posts: 477

PostPosted: Tue Jul 11, 2006 7:06 pm    Post subject: Reply with quote

Mask the versions you don't want. In your case:
Code:
$ echo '>x11-base/xorg-x11-6.9.0' >> /etc/portage/package.mask
Read the Portage documentation for mor information.
_________________
Cómo usar Portage correctamente
Back to top
View user's profile Send private message
hede
Apprentice
Apprentice


Joined: 07 Nov 2003
Posts: 160
Location: Siegen/Germany

PostPosted: Tue Jul 11, 2006 9:34 pm    Post subject: Reply with quote

Thanks for your answer, this is exactly what I want.

I knew there must be a way. I even knew it could be a file in /etc/portage. But i didn't get into this "mask" thing.
(I even read "man portage" (parts of, my fault))

And now I remember: I have used this some time ago (1-2 years)... damn
(package.mask no longer existed so i didn't find it)
_________________
Der süsse Pinguin ist mir lieber als die kleinen weichen, die einem nur kaputte Fenster verkaufen
Back to top
View user's profile Send private message
Zarhan
l33t
l33t


Joined: 27 Feb 2004
Posts: 969

PostPosted: Tue Jul 11, 2006 10:38 pm    Post subject: Reply with quote

Note, I think you can go to a version up to 7174, which works also with xorg 7.0. Nvidia TNT works with that version, but not on any later ones - I think that is where they deprectated a lot of older hardware.
Back to top
View user's profile Send private message
hede
Apprentice
Apprentice


Joined: 07 Nov 2003
Posts: 160
Location: Siegen/Germany

PostPosted: Tue Jul 11, 2006 11:01 pm    Post subject: Reply with quote

Zarhan wrote:
Note, I think you can go to a version up to 7174, which works also with xorg 7.0. Nvidia TNT works with that version, but not on any later ones - I think that is where they deprectated a lot of older hardware.

Then nvidias "Supported Products List" on nvidia.com for Version 1.0-7174 is wrong. There is no gf2-ti/pro/gts in this list.

The only 7xxx I can find which (officially) supports TNT through GF2ti is 1.0-7182 which is a newer 2006 bugfix release for older cards and newer 2.6 kernels. (oh, its very new: 26. June 2006)

But it's not (yet) in portage. :-(


nevertheless i thought only drivers in "x11-drivers/XXX" will support xorg7? this is wrong?
_________________
Der süsse Pinguin ist mir lieber als die kleinen weichen, die einem nur kaputte Fenster verkaufen
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum